#
# spec file for package cups (Version 1.2.12)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs cyrus-sasl cyrus-sasl-devel dbus-1 dbus-1-devel desktop-translations diffutils file filesystem fillup findutils gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libexpat1 libgcc42 libgomp42 libjpeg libjpeg-devel libltdl-3 libmudflap42 libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff-devel libtiff3 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openldap2-client openldap2-devel openslp openslp-devel openssl-certs pam pam-devel pam-modules patch perl perl-base permissions popt post-build-checks rpm sed sysvinit tar tcpd tcpd-devel texinfo timezone update-desktop-files util-linux zlib zlib-devel


Name:           cups
BuildRequires:  dbus-1-devel gcc-c++ libpng-devel libtiff-devel openldap2-devel openslp-devel openssl-devel pam-devel tcpd-devel update-desktop-files
Url:            http://www.cups.org/
License:        GPL v2 or later; "individual distribution permission. ..."
Group:          Hardware/Printing
Summary:        The Common UNIX Printing System
Version:        1.2.12
Release:        22.26
Requires:       cups-libs = %{version}, cups-client = %{version}
Requires:       ghostscript_any, ghostscript-fonts-std, foomatic-filters
Requires:       util-linux
Conflicts:      plp lprold lprng
Source0:        cups-%{version}-source.tar.bz2
Source1:        poll_ppd_base.c
Source2:        lphelp.c
Source3:        dvitops
Source4:        pswrite
Source7:        ogonki
Source8:        rccups
Source9:        http://amaru.ti6.tu-harburg.de/portal/Members/ti6ntm/Projekte/Printanalyzer/PrintAnalyzer
Source10:       http://homepages.nyu.edu/~ml1100/files/quosnmp
Source11:       setcupsbroadcasting
Source12:       postscript.ppd.bz2
Source13:       cups.sysconfig
Source14:       cups.xinetd
Source15:       PSLEVEL1.PPD.bz2
Source16:       PSLEVEL2.PPD.bz2
Source17:       cups.SuSEfirewall2
Patch1:         cups-1.2.12-mime.patch
Patch2:         cups-1.2.0-ppdsdat_generation.patch
Patch3:         cups-1.2rc1-template.patch
Patch4:         cups-1.2.7-libwrap.patch
Patch5:         cups-pam.diff
Patch6:         cups-1.2b2-access_conf.patch
Patch9:         cups-1.1.21rc2-preauth_security.patch
Patch10:        cups-1.1.21rc2-usermode.patch
Patch12:        cups-1.2.12-pswrite.patch
Patch13:        cups-1.1.21-umlaut_printer.patch
Patch14:        cups-1.1.21-testppd_duplex.patch
Patch15:        cups-1.2.11-testppd_filename.patch
Patch16:        cups-1.2.5-desktop_file.patch
Patch17:        cups-1.2.6-lppasswd_permission.patch
Patch18:        cups-1.2.7-xpdf_CVE_2007_3387.patch
Patch19:        cups-1.2.12-testppd_none.patch
Patch20:        cups-1.2.12-testppd_uiconstraint.patch
Patch21:        cups-1.2.12-testppd_eof_without_nl.patch
Patch22:        cups-1.2-ipp_length.patch
Patch23:        cups-1.2-CVE_2007_4352.patch
Patch24:        cups-1.2-CVE_2007_5392.patch
Patch25:        cups-1.2-CVE_2007_5393.patch
Patch26:        cups-1.2.7-backend_snmp.patch
Patch27:        cups-1.2.12-doublefree_dos.patch
Patch28:        cups-1.2.12-search_regex.patch
Patch29:        cups-1.3.6-hpgl_filter.patch
Patch30:        cups-1.2.7-gif_filter.patch
Patch31:        cups-1.2.12-filter_png_overflow.patch
Patch32:        cups-1.2.12-xpdf_font_vul.patch
Patch33:        cups-1.3.7-imagetops_CVE_2008_3639.patch
Patch34:        cups-1.2.12-texttops_CVE_2008_3640.patch
Patch35:        cups-1.2.12-hpgltops_CVE_2008_3641.patch
Patch36:        cups-1.3.7-filter_png_overflow2.patch
Patch37:        cups-1.3.7-hpgltops2.patch
# Patch38 fixes an integer overflow in the "_cupsImageReadTIFF()" function,
# (CVE-2009-0163 and CUPS STR #3031 and Novell/Suse Bugzilla bnc#485895):
Patch38:        cups-1.3.9-cupsImageReadTiff.patch
# Patch39 fixes various JBIG2 decoding issues in the pdftops filter
# (CVE-2009-0146, CVE-2009-0147, CVE-2009-0165, CVE-2009-0166,
#  and CUPS STR #3129 and Novell/Suse Bugzilla bnc#485897):
Patch39:        cups-1.2.12-pdftops-CVE_2009_0146-0147-0165-0166.patch
# Patch40 fixes an IPP_TAG_UNSUPPORTED handling null pointer vulnerability in the scheduler
# (CVE-2009-0949 and Novell/Suse Bugzilla bnc#503759):
Patch40:        cups-1.3-CVE_2009_0949.patch
# Patch41 fixes integer overflows via alloc(a*b+c) in the pdftops filter
# (CVE-2009-0791 and Novell/Suse Bugzilla bnc#502061):
Patch41:        cups-1.2.12-pdftops-CVE_2009_0791.patch
# Patch42 fixes two more integer overflows via in the pdftops filter
# (Novell/Suse Bugzilla bnc#546400):
Patch42:        cups-1.2.12-pdftops-bnc546400.patch
Patch100:       cups-1.1.23-testpage.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %suse_version >= 801
PreReq:         textutils, fileutils, sh-utils, %insserv_prereq, %fillup_prereq /usr/sbin/groupadd
%endif

%description
The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems like BSD lp or lprng. CUPS provides some
additional features.

http://www.cups.org



Authors:
--------
    Easy Software Products <cups@cups.org>

%define INSTALL install -m755
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define CPUs %(grep -c ^processor\  /proc/cpuinfo || echo 1)
%debug_package

%package libs
License:        GPL v2 or later; "individual distribution permission. ..."; LGPL v2.1 or later
Summary:        Libraries for CUPS
Group:          Hardware/Printing

%description libs
The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems like BSD lp or lprng. CUPS provides some
additional features. This package contains libraries needed by CUPS and
some other packages.



Authors:
--------
    Easy Software Products <cups@cups.org>

%package client
License:        GPL v2 or later; "individual distribution permission. ..."
Summary:        CUPS Client Programs
Group:          Hardware/Printing
Conflicts:      plp lprold lprng
Requires:       cups-libs = %{version}

%description client
The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems like BSD lp or lprng. CUPS provides some
additional features. This package contains all programs needed for
running a CUPS client, not a server.



Authors:
--------
    Easy Software Products <cups@cups.org>

%package devel
License:        GPL v2 or later; "individual distribution permission. ..."
Summary:        Development Environment for CUPS
Group:          Development/Libraries/C and C++
Requires:       %{name}-libs = %{version} openssl-devel glibc-devel

%description devel
The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems like BSD lp or lprng. CUPS provides some
additional features. This is the development package.

http://www.cups.org



Authors:
--------
    Easy Software Products <cups@cups.org>

%prep
%setup -n %{name}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5
%patch6 -p1
#tbd: %patch9 -p1
#tbd: %patch10 -p1
%patch12 -p1
#tbd: %patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p0
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
# Patch38 fixes an integer overflow in the "_cupsImageReadTIFF()" function,
# (CVE-2009-0163 and CUPS STR #3031 and Novell/Suse Bugzilla bnc#485895):
%patch38
# Patch39 fixes various JBIG2 decoding issues in the pdftops filter
# (CVE-2009-0146, CVE-2009-0147, CVE-2009-0165, CVE-2009-0166,
#  and CUPS STR #3129 and Novell/Suse Bugzilla bnc#485897):
%patch39
# Patch40 fixes an IPP_TAG_UNSUPPORTED handling null pointer vulnerability in the scheduler
# (CVE-2009-0949 and Novell/Suse Bugzilla bnc#503759):
%patch40
# Patch41 fixes integer overflows via alloc(a*b+c) in the pdftops filter
# (CVE-2009-0791 and Novell/Suse Bugzilla bnc#502061):
%patch41
# Patch42 fixes two more integer overflows via in the pdftops filter
# (Novell/Suse Bugzilla bnc#546400):
%patch42
if [ -f /.buildenv ]; then
	. /.buildenv
else
	BUILD_DISTRIBUTION_NAME="personal build CUPS version"
fi
perl -pi -e "s|SUSEVERSION|$BUILD_DISTRIBUTION_NAME|; \
	s/CUPSVERSION/%{version}/" %{PATCH100}
#tbd: %patch100 -p1
# fix hardcoded $_libdir path to real architecture dependend $_libdir
perl -pi -e 's|(CUPS_SERVERBIN=\")\$exec_prefix/lib|$1'%{_libdir}'|' \
	config-scripts/cups-directories.m4
cp -a %{SOURCE9} .
cp -a %{SOURCE10} .

%build
%{?suse_update_config:%{suse_update_config -f . }}
libtoolize --force
aclocal
autoconf
%if %suse_version >= 1010
export CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -O2 -fno-strict-aliasing -fstack-protector"
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -fstack-protector -DLDAP_DEPRECATED"
%else
export CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -O2 -fno-strict-aliasing"
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%endif
export CXX=g++
./configure \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir} \
	--libdir=%{_libdir} \
	--datadir=%{_datadir} \
	--with-docdir=%{_defaultdocdir}/%{name} \
	--with-cups-user=lp \
	--with-cups-group=lp \
	--enable-pie \
	--enable-static \
	--without-rcdir \
	--enable-dbus \
	--enable-ldap \
	--prefix=/
# perl -pi -e 's:^(OPTIONS\s+\=):$1 -I/usr/X11R6/include -O2 -fstack-protector -fno-strict-aliasing:' Makedefs
# perl -pi -e 's:^(INSTALL_BIN\s+\=.*)-s:$1:' Makedefs
# for debugging enable:
#perl -pi -e 's:^(OPTIONS\s+\=):$1 -I/usr/X11R6/include -O2 -fno-strict-aliasing -g -DDEBUG:' Makedefs
#perl -pi -e 's:^(OPTIM\s+\=):$1 -g -DDEBUG:' Makedefs
make CXX=g++
# Compile additional tools
gcc -opoll_ppd_base $CFLAGS -fPIC -fPIE -pie -I. -L./cups -lcups %{SOURCE1}
gcc -olphelp $CFLAGS -fPIC -fPIE -pie -I. -L./cups -lcups %{SOURCE2}

%install
make	BUILDROOT=$RPM_BUILD_ROOT \
	install
if [ x%{version} = x"1.1.18" ]; then
	mv $RPM_BUILD_ROOT/usr/sbin/cupstestppd \
		$RPM_BUILD_ROOT/usr/bin/cupstestppd 
fi
# place CUPS-O-MATIC script in CUPS filter directory
%{INSTALL_SCRIPT} %{SOURCE7} $RPM_BUILD_ROOT%{_libdir}/cups/filter
%{INSTALL_SCRIPT} %{SOURCE3} $RPM_BUILD_ROOT%{_libdir}/cups/filter
%{INSTALL_SCRIPT} %{SOURCE4} $RPM_BUILD_ROOT%{_libdir}/cups/filter
# might no longer be needed: ln -s /etc/cups/printcap $RPM_BUILD_ROOT/etc
# install the two little tools
install -m 755 poll_ppd_base $RPM_BUILD_ROOT/usr/bin/
install -m 755 lphelp $RPM_BUILD_ROOT/usr/bin/
%{INSTALL_DIR} $RPM_BUILD_ROOT/etc/init.d
%{INSTALL_SCRIPT} %{SOURCE8} $RPM_BUILD_ROOT/etc/init.d/cups
%{INSTALL_DIR} $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{SOURCE13} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.cups
perl -pi -e "s:\@LIB\@:%{_libdir}:g" $RPM_BUILD_ROOT/etc/init.d/cups
ln -sf ../../etc/init.d/cups $RPM_BUILD_ROOT/usr/sbin/rccups
#
rm -r $RPM_BUILD_ROOT/usr/share/cups/fonts
#mkdir -p /usr/share/ghostscript/fonts
mkdir -p $RPM_BUILD_ROOT/usr/share/ghostscript/fonts
ln -sf /usr/share/ghostscript/fonts $RPM_BUILD_ROOT/usr/share/cups/
# make directory for ssl files:
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cups/ssl
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
install -m 644 -D packaging/cups-dbus.conf $RPM_BUILD_ROOT%{_sysconfdir}/dbus-1/system.d/cups.conf
install -m 644 -D %{SOURCE14} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/cups-lpd
perl -pi -e "s:\@LIB\@:%{_libdir}:g" $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/cups-lpd
ln -sf libcupsimage.so.2 $RPM_BUILD_ROOT%{_libdir}/libcupsimage.so
ln -sf libcups.so.2 $RPM_BUILD_ROOT%{_libdir}/libcups.so
ln -sf ../sbin/lpc $RPM_BUILD_ROOT/usr/bin/lpc # bugzilla#16652
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/share/cups/drivers
%{INSTALL_DIR} $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}
%{INSTALL_DIR} $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/images
install -m 644 -D conf/pam.suse $RPM_BUILD_ROOT/etc/pam.d/cups
install -m 755 PrintAnalyzer $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/
install -m 755 quosnmp $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/
for f in CHANGES*.txt CREDITS.txt INSTALL.txt LICENSE.txt README.txt; do
	install -m 644 "$f" $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/
done
bzip2 -cd < %{SOURCE12} > $RPM_BUILD_ROOT%{_datadir}/cups/model/Postscript.ppd
bzip2 -cd < %{SOURCE15} > $RPM_BUILD_ROOT%{_datadir}/cups/model/Postscript-level1.ppd
bzip2 -cd < %{SOURCE16} > $RPM_BUILD_ROOT%{_datadir}/cups/model/Postscript-level2.ppd
find %{buildroot}/usr/share/cups/model -name "*.ppd" | while read FILE
do
    # change default paper size from letter to A4 if possible (bugzilla#30662)
    # and delete trailing whitespace
    perl -pi -e 's:^(\*Default.*)Letter\s*$:$1A4\n:; \
	s:^(\*ImageableArea A4.*\:\s+)"0 0 595 842":$1"24 48 571 818":; \
	s:^(\*ImageableArea Letter.*\:\s+)"0 0 612 792":$1"24 48 588 768":; \
	s:\s\n:\n:' \
	"$FILE"
    gzip -9 "$FILE"
done
# add files for menu
rm -f $RPM_BUILD_ROOT//usr/share/applications/cups.desktop
%suse_update_desktop_file -i -r %name PrintingUtility 2>/dev/null
mkdir $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 644 $RPM_BUILD_ROOT/usr/share/icons/hicolor/64x64/apps/cups.png $RPM_BUILD_ROOT/usr/share/pixmaps
rm -rf $RPM_BUILD_ROOT/usr/share/icons
# remove unpackaged files
rm -rf $RPM_BUILD_ROOT/%{_mandir}/es/cat?
rm -rf $RPM_BUILD_ROOT/%{_mandir}/fr/cat?
rm -rf $RPM_BUILD_ROOT/%{_mandir}/cat?
#
# SuSEfirewall2:
install -d $RPM_BUILD_ROOT/etc/sysconfig/SuSEfirewall2.d/services/
install -m 644 %{SOURCE17} $RPM_BUILD_ROOT/etc/sysconfig/SuSEfirewall2.d/services/cups

%clean
#test -n "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g 71 -o -r ntadmin 2>/dev/null || :

%post libs
%run_ldconfig

%post
%{fillup_and_insserv -npy cups cups}

%preun
%stop_on_removal cups

%postun
%restart_on_update cups
%{insserv_cleanup}

%postun libs
%run_ldconfig

%files
%defattr(-,root,root)
%dir %attr(711,lp,lp) %{_sysconfdir}/cups/ssl
%dir %attr(755,lp,lp) %{_sysconfdir}/cups/ppd
%config(noreplace) %attr(640,lp,lp) %{_sysconfdir}/cups/cupsd.conf
%{_sysconfdir}/cups/cupsd.conf.default
%{_sysconfdir}/dbus-1/system.d/cups.conf
%config(noreplace) %attr(755,lp,lp) %{_sysconfdir}/cups/interfaces
%config(noreplace) %{_sysconfdir}/cups/mime.*
%config(noreplace) %{_sysconfdir}/xinetd.d/cups-lpd
# %dir %attr(700,lp,lp) %{_sysconfdir}/cups/cerst
# %config(noreplace) %attr(640,lp,lp) %{_sysconfdir}/cups/classes.conf
# %config(noreplace) %attr(640,lp,lp) %{_sysconfdir}/cups/printers.conf
# %verify(not md5 size mtime) %config(missingok,noreplace) %{_sysconfdir}/cups/printcap
# %verify(not md5 size mtime) %config(missingok,noreplace) %{_sysconfdir}/printcap
%{_bindir}/poll_ppd_base
%{_bindir}/cupstestppd
%{_bindir}/cupstestdsc
%dir %{_libdir}/cups
%dir %{_libdir}/cups/backend
%{_libdir}/cups/backend/http
%{_libdir}/cups/backend/ipp
%{_libdir}/cups/backend/lpd
%{_libdir}/cups/backend/parallel
%{_libdir}/cups/backend/scsi
%{_libdir}/cups/backend/snmp
%{_libdir}/cups/backend/serial
%{_libdir}/cups/backend/socket
%{_libdir}/cups/backend/usb
%{_libdir}/cups/cgi-bin
%{_libdir}/cups/daemon
%dir %{_libdir}/cups/filter
%{_libdir}/cups/filter/[abd-z]*
%dir %{_libdir}/cups/monitor
%{_libdir}/cups/monitor/*
%dir %{_libdir}/cups/notifier
%{_libdir}/cups/notifier/*
%{_sbindir}/cupsaddsmb
%{_sbindir}/cupsd
%{_sbindir}/rc*
%dir %attr(0775,root,ntadmin) /usr/share/cups/drivers
%dir /usr/share/cups
/usr/share/applications/cups.desktop
/usr/share/pixmaps/cups.png
/usr/share/cups/[bcf-t]*
/usr/share/cups/d[ao]*
%config %attr(0755,root,root) /etc/init.d/cups
%config /etc/pam.d/cups
/var/adm/fillup-templates/sysconfig.cups
%doc %{_defaultdocdir}/%{name}
%doc %{_mandir}/man5/*
%doc %{_mandir}/man7/*
%doc %{_mandir}/man8/*

%files client
%defattr(-,root,root)
%{_bindir}/lp
%{_bindir}/lpc
%{_bindir}/lphelp
%{_bindir}/lpoptions
%attr(4755,lp,sys) %{_bindir}/lppasswd
%{_bindir}/lpq
%{_bindir}/lpr
%{_bindir}/lprm
%{_bindir}/lpstat
%{_bindir}/cancel
%{_sbindir}/*able
%{_sbindir}/accept
%{_sbindir}/lp*
%{_sbindir}/reject
%doc %{_mandir}/man1/[a-eg-z]*

%files devel
%defattr(-,root,root)
%{_includedir}/cups
%attr(0644,root,root) %{_libdir}/libcups.a
%attr(0644,root,root) %{_libdir}/libcupsimage.a
%{_libdir}/libcups.so
%{_libdir}/libcupsimage.so

%files libs
%defattr(-,root,root)
%{_bindir}/cups-config
#%dir %attr(0755,lp,lp) %{_sysconfdir}/cups/
%dir %attr(0710,lp,lp) %{_var}/spool/cups
%dir %attr(1770,lp,lp) %{_var}/spool/cups/tmp
%dir %attr(0755,lp,lp) %{_var}/log/cups/
# %config(noreplace) %{_sysconfdir}/cups/client.conf
%config(noreplace) /etc/sysconfig/SuSEfirewall2.d/services/cups
%{_libdir}/libcups.so.*
%{_libdir}/libcupsimage.so.*
%{_datadir}/locale/*/cups_*

%changelog
* Tue Oct 13 2009 - jsmeix@suse.de
- cups-1.2.12-pdftops-bnc546400.patch fixes two more
  integer overflows via in the pdftops filter
  (CVE-2009-3608, CVE-2009-3609 and
  Novell/Suse Bugzilla bnc#546400).
* Thu Jun 04 2009 - jsmeix@suse.de
- cups-1.2.12-pdftops-CVE_2009_0791.patch fixes
  integer overflows via alloc(a*b+c) in the pdftops filter
  (CVE-2009-0791 and Novell/Suse Bugzilla bnc#502061).
* Fri May 22 2009 - jsmeix@suse.de
- cups-1.3-CVE_2009_0949.patch fixes an IPP_TAG_UNSUPPORTED
  handling null pointer vulnerability in the scheduler
  (CVE-2009-0949 and Novell/Suse Bugzilla bnc#503759).
* Wed Apr 08 2009 - jsmeix@suse.de
- cups-1.2.12-pdftops-CVE_2009_0146-0147-0165-0166.patch
  fixes various JBIG2 decoding issues in the pdftops filter
  (CVE-2009-0146, CVE-2009-0147, CVE-2009-0165, CVE-2009-0166,
  and CUPS STR #3129 and Novell/Suse Bugzilla bnc#485897).
* Thu Mar 26 2009 - jsmeix@suse.de
- cups-1.3.9-cupsImageReadTiff.patch fixes an integer overflow
  in the "_cupsImageReadTIFF()" function CVE-2009-0163
  (CUPS STR #3031 and Novell/Suse Bugzilla bnc#485895).
* Tue Nov 25 2008 - kssingvo@suse.de
- fix for png size validation CVE-2008-??? (bnc#448631)
- correction for hpgl pen selection fix CVE-2008-3641 (bnc#430543)
* Mon Sep 29 2008 - kssingvo@suse.de
- fix for heap-based overflow in image filter CVE-2008-3639 (bnc#430543)
- fix for integer overflow in text filter CVE-2008-3640 (bnc#430543)
- fix for unchecked index issue in hpgl filter CVE-2008-3641 (bnc#430543)
* Wed Apr 16 2008 - kssingvo@suse.de
- fix for integer overflow in png filter CVE-2008-1722 (bugzilla#378335)
- fix for font issue in pdftops CVE-2008-1693 (bugzilla#377872)
* Thu Mar 20 2008 - kssingvo@suse.de
- fix for lzw buffer overflow in gif filter CVE-2008-1373 (bugzilla#372642)
- fix for buffer overflow in hpgl filter CVE-2008-0053 (bugzilla#372612)
* Thu Mar 06 2008 - kssingvo@suse.de
- fixed issue in cgi-bin search CVE-2008-0047 (bugzilla#367225)
* Fri Feb 29 2008 - kssingvo@suse.de
- security fix for double free DoS CVE-2008-0882 (bugzilla#363540)
* Mon Dec 17 2007 - crivera@suse.de
- Add the --enable-dbus flag to the configure line.  This allows
  cupsd to send DBUS signals on queue change events.  This helps
  fix 345163.
* Mon Dec 10 2007 - kssingvo@suse.de
- fix for snmp backend CVE-2007-5849 (bugzilla#346731)
* Wed Nov 07 2007 - kssingvo@suse.de
- fixes for xpdf CVE-2007-4352, CVE-2007-5393, CVE-2007-5392 (bugzilla#335637)
* Tue Oct 23 2007 - kssingvo@suse.de
- fix for IPP boundaries swamp-14294, CVE-2007-4351 (bugzilla#335635)
* Tue Sep 18 2007 - kssingvo@suse.de
- fix for missing newline before EOF in compressed files (bugzilla#309823)
* Mon Sep 17 2007 - kssingvo@suse.de
- fix for exitcode on uiconstraints in cupstestppd (bugzilla#309822)
* Mon Sep 10 2007 - kssingvo@suse.de
- patch: "None" needs to be valid value for cupstestppd (bugzilla#309219)
* Mon Aug 06 2007 - kssingvo@suse.de
- fix for xpdf bugzilla#291690, CVE-2007-3387, swamp-11865
* Mon Jul 30 2007 - kssingvo@suse.de
- upgrade to cups-1.2.12:
  * The PHP cups_print_file() function crashed if the options array
  contained non-string option values
  * The image/tiff file matching rule incorrectly identified some
  text files as TIFF files
  * The filter(7) man page incorrectly documented the "PAGE: total
  [#]-pages" message
  * PCL text files were mis-identified as HP-GL/2 and caused the
  HP-GL/2 filter to hang
  * When printing to a queue with user ACLs, the scheduler
  incorrectly returned a quota error instead of a "not allowed to
  print" error
  * cupsaddsmb could get in a loop if no printer drivers were
  installed
  * cupsRasterReadHeader() did not byte-swap the header properly
  when compiled with certain versions of GCC.
  * The IPP backend did not send the document-format attribute for
  filtered jobs
  * Some PPD files could cause a crash in ppdOpen2
  * The web admin interface incorrectly handled the "share
  printers" and "show remote printers" settings
  * The scheduler's log messages about AuthClass and AuthGroupName
  advised using a replacement directive but had the wrong syntax
  * Updated the PostScript/PJL and HP-GL/2 MIME rules to look in
  the first 4k of the file, not just the first 1k
  * Updated the Italian localization
- updated the mime and the psrewrite patch
* Mon Jun 25 2007 - kssingvo@suse.de
- added quosnmp script to %%doc
* Wed Jun 20 2007 - kssingvo@suse.de
- removed rccupsrenice: cups-1.2.x does no longer traversing of
  filesystem during startup. reason no longer present.
* Wed May 23 2007 - kssingvo@suse.de
- fixed as many rpmlint errors as possible
* Thu May 10 2007 - kssingvo@suse.de
- Upgrade to cups-1.2.11:
  * "make distclean" didn't remove all generated files
  * Fixed a bug in the advertisement of classes
  * The IPP backend now stays running until the job is actually
  printed by the remote server; previously it would stop
  monitoring the job if it was held or temporarily stopped
  * PDF files were not always printed using the correct orientation
  * The scheduler could crash if you specified a bad file: URI for
  a printer
  * The Renew-Subscription operation now returns the
  notify-lease-duration value that was used
  * The IPP backend sent job options to IPP printers, however some
  printers tried to override the options embedded in the PS/PCL
  stream with those job options
  * ppdLocalize() now also tries a country-specific localization
  for when localizing to a generic locale name.
  * The cupstestppd program now allows for partial localizations to
  reduce the size of universal PPD files.
  * Chinese PPD files were incorrectly tagged with the "cn" locale
  (should have been "zh")
  * The backends now manage the printer-state-reasons attribute
  more accurately
  * Java, PHP, Perl, and Python scripts did not work properly
  * The scheduler would take forever to start if the maximum number
  of file descriptors was set to "unlimited"
  * The page-ranges option was incorrectly applied to the banner
  pages
  * Fixed some GCC compile warnings
  * The DBUS notification code was broken for older versions of
  DBUS
  * The IPv6 code did not compile on HP-UX 11.23
  * PPD constraints did not work properly with custom options.
  * Regular PPD options with the name "CustomFoo" did not work.
  * The USB backend did not work on NetBSD
  * The printer-state-reasons attribute was incorrectly cleared
  after a job completed
  * The scheduler did not set the printer operation policy on
  startup, only on soft reload
  * The AP_FIRSTPAGE_InputSlot option did not clear any ManualFeed
  setting that was made, which caused problems with some PPD
  files
  * cupsDoFileRequest() and cupsDoRequest() did not abort when
  getting an error in the response
  * The scheduler did not schedule jobs properly to remote or
  nested classes
  * Updated the mime.types and mime.convs headers to warn that the
  files are overwritten when CUPS is installed. Local changes
  should go in local.types or local.convs, respectively
  * The scheduler could get in an infinite loop if a printer in an
  implicit class disappeared
  * The pstops filter did not handle %%EndFeature comments properly
  * Fixed a problem with the Polish web page printer icons
  * ppdLocalize() now also localizes the cupsICCProfile attributes.
  * The scheduler still had a reference to the incorrect
  "notify-recipient" attribute
  * The "make check" and "make test" subscription tests did not set
  the locale
  * The "make check" and "make test" subscription tests incorrectly
  used the notify-recipient attribute instead of
  notify-recipient-uri
  * cupsRasterInterpretPPD() incorrectly limited the
  cupsBorderlessScalingFactor when specified in the job options.
- adapted cupstestppd patch
* Wed Apr 25 2007 - kssingvo@suse.de
- added SuSEfirewall2 rules (bugzilla#247746)
* Mon Apr 02 2007 - kssingvo@suse.de
- Upgrade to cups-1.2.10:
  * ppdLocalize() now supports localizing for Japanese using the
  "jp" locale name used by the ppdmerge program from the CUPS
  DDK 1.1.0
  * _cupsAdminSetServerSettings() did not support changing of
  top-level directives as designed.
  * The init script path check was broken.
  * CUPS incorrectly used the attribute "notify-recipient" instead
  of "notify-recicpient-uri" in several places
  * Fixed a configure script bug on MirBSD
  * The pdftops filter did not limit the amount of recursion of
  page sets
  * Custom page sizes with fractional point sizes did not work
  * The lpoptions command would crash when adding or removing
  options on a system with no printers
  * The scheduler did not use the default job-sheets (banners) for
  implicit classes
  * The scheduler could crash when listing complete jobs that had
  been unloaded from memory
  * The French localization was doubled up
  * Build system fixes for several platforms
  * The scheduler's openssl certificate generation code was broken
  on some platforms
  * The scheduler's log rotation check for devices was broken
  * The LPD mini-daemon did not handle the document-format option
  correctly
  * The pdftops filter ignored the "match" size option in the
  pdftops.conf file
  * cupstestppd now validates UTF-8 text strings in globalized PPD
  files
  * The outputorder=reverse option did not work with all printers
  * Classes containing other classes did not always work
  * Printer location and description information was lost if the
  corresponding string contained the "#" character
  * cupsRemoveOption() did not work properly
  * The USB backend did not work with some USB to parallel cables
  on Mac OS X.
  * The test page did not print the rulers properly on large media
  sizes
  * The text filter could crash when pretty printing certain types
  of files
- removed already included security patch xpdf_CVE_2007_0104
* Tue Feb 20 2007 - kssingvo@suse.de
- Upgrade to cups-1.2.8:
  * Documentation fixes
  * The HTTP upgrade redirection used by the scheduler did not work
  with Internet Explorer
  * Members of a class with Unicode names did not appear correctly
  in the web interface
  * Changing the "Save debugging information" setting in the web
  interface no longer affects the other server settings
  * The scheduler did not choose SSL certificates correctly on Mac
  OS X
  * The scheduler could get in an infinite loop when printing to a
  remote class
  * The jobs web page did not have separating space after the
  number of pages column
  * Added French localization
  * Updated Spanish localization
  * Updated Japanese localization
  * cupsBorderlessScalingFacter was limited to a range of 0.9 to
  1.1, but some printers need larger values
  * Landscape printing of PDF files did not always work
  * Fixed slow USB printing on Minolta printers
  * The ZPL label printer driver could produce stretched output
  * The IPP backend now clears the printer-state-message when there
  are no outstanding errors or warnings
  * The CUPS Java scripting support did not work with recent
  versions of Java due to the use of Sun's private Base64 class
  * The scheduler did not pass HTTP GET form variables to custom
  CGI programs
  * The lpoptions command now displays the reason why a PPD file
  cannot be found
  * The scheduler did not accept "none" as a browse protocol name
  * The scheduler still loaded the remote printer cache, even when
  browsing was disabled
  * The SNMP backend now shows OfficeJet printers with the "HP"
  manufacturer prefix
  * Web interface HTML cleanup
  * The parallel backend consumed 100%% CPU on FreeBSD due to an
  apparently common parallel port driver bug
  * ippReadIO() incorrectly returned IPP_IDLE when the initial IPP
  message header could not be read
  * cupsRasterInterpretPPD() did not support custom options
  * Collated output produced by the PostScript filter could lose
  some options
  * job-hold-until with time values for the next day would be held
  for 60 days
  * Some types of Sun raster files did not print correctly
  * Raw PBM files did not print correctly
  * The SNMP backend no longer uses IPP with HP printers, as some
  recent firmware versions appear to not work
  * cupsMarkOptions() did not handle the multiple-document-handling
  option
  * lpstat did not show the local job ID of active printers
  * The backends incorrectly used STATUS: media-tray-empty-error
  messages for out-of-paper conditions
  * cupsGetPPD2() returned the wrong error when the PPD file did
  not exist
  * cupsDoAuthentication() did not translate the password prompt
  * httpGetLength2() did not handle error messages without content
  correctly
  * Added support for 32/64-bit libraries on HP-UX Itanium systems
  * Fixed a configure script problem with the 32/64-bit library
  support
  * The PostScript filter did not properly output document setup
  commands for reversed output
  * The scheduler did not parse IPv6 netmasks properly
- removed backported, unnecessary patches
* Tue Feb 13 2007 - kssingvo@suse.de
- fixed tcp_wrapper warnings (bugzilla#230730)
- fixed ps interpretation (bugzilla#242042)
- backported fixes from various issues, only in svn avail atm
* Mon Jan 22 2007 - kssingvo@suse.de
- enabled LDAP on request (bugzilla#223007), no build cycle present
* Tue Jan 16 2007 - kssingvo@suse.de
- fix for xpdf bugzilla#233113, CVE-2007-0104, swamp-7887
* Wed Jan 10 2007 - kssingvo@suse.de
- added Required-Start: to rccupsrenice (bugzilla#231675)
* Fri Jan 05 2007 - sbrabec@suse.cz
- Fixed devel dependencies.
* Tue Dec 12 2006 - kssingvo@suse.de
- removed broken locale patch: PS generation fails (bugzilla#227205)
* Thu Nov 16 2006 - kssingvo@suse.de
- Upgrade to 1.2.7 (another bugfix version):
  * Documentation updates
  * The PostScript filter now rotates the bounding box values as needed
  * The scheduler no longer loads the remote printer cache when browsing
  is disabled
  * The scheduler no longer writes a new launchd configuration file if
  it doesn't have to
  * The scheduler now picks up on changes to IPv6 and DNS configuration
  * The lpstat program could still hang
  * Fixed an inefficiency in the SNMP IPP detection code
  * The SSL negotiation code did not implement short timeouts
* Tue Nov 14 2006 - kssingvo@suse.de
- fixed non conform PPD values in PSLEVEL*.PPD (bugzilla#219779)
* Thu Nov 09 2006 - kssingvo@suse.de
- fixed perm problem of /etc/cups regarding lppasswd (bugzilla#218745)
* Tue Nov 07 2006 - kssingvo@suse.de
- Upgrade to 1.2.6 (bugfix version):
  * "lpc status" did not show the number of queued jobs for disabled queues
  * The lpstat program could hang
  * The serial backend did not support the new USB serial filenames on Linux
  * The parallel backend did not support bidirectional I/O properly
  * The network backends now log the numeric address that is being used
  * Fixed a compile error when using libpaper
  * Fixed a compile error when compiling on Solaris with threading enabled
  * Missing printer-state-changed event for printer-state-message updates
* Mon Nov 06 2006 - kssingvo@suse.de
- coolo's patch seems not to work, now using desktop-launch
  (bugzilla#207915)
* Mon Nov 06 2006 - kssingvo@suse.de
- fixed cups.desktop file (bugzilla#207915)
- suse_update_desktop_file produces strange results in my xterm.
  redirecting output to /dev/null
- removed duplicate entry in %%files: %%{_libdir}/cups/monitor/*
* Mon Oct 23 2006 - kssingvo@suse.de
- Upgrade to 1.2.5:
  * Documentation updates
  * The SNMP backend no longer uses IPP for Epson printers
  * Updated the configure script for Tru64 UNIX 5.1
  * Tru64 5.1B's getaddrinfo() and getnameinfo() functions leak file
  descriptors
  * cupsAddDest() didn't add the parent destination's options and
  attributes.
  * ppdConflicts() did not handle custom option constraints.
  * Raw printing of gzip'd files did not work
  * The scheduler no longer preserves default option choices when
  the new PPD no longer provides the old default choice
  * The Linux SCSI backend is now only built if the SCSI development
  headers are installed.
  * USB printing to Minolta printers did not work
  * Windows clients could not monitor the queue status
  * The scheduler didn't log the operation name in the access_log
  file for Create*Job and Print-Job requests.
  * The PostScript filter now separates collated copies with any
  required JCL commands so that JCL*based finishing options act on
  the individual copies and not all of the copies as a single
  document.
  * The PostScript filter now disables duplex printing when printing
  a 1*page document.
  * cups-lpd didn't pass the correct job-originating-host-name value
  * Fixed some speling errors in the German message catalog
  * cupstestppd did not catch PPD files with bad UIConstraints
  values
  * The USB backend did not work with the current udev- created
  printers if the first printer was disconnected
  * Mirrored and rotated printing did not work with some documents
  * 2-sided printing with banners did not work properly on some
  printers
  * Updated the raw type rule to handle PJL within the first 4k of a
  print job
  * Added an Estonian translation
  * Clarified the documentation for the cupsd.conf @LOCAL and
  @IF(name) allow/deny functionality
  * The PostScript filters did not escape the Title and For comments
  in the print job header
  * The scheduler would use 100%% CPU if browsing was disabled and
  the cupsd.conf file contained BrowsePoll lines
  * The cupsDirRead() function did not work properly on
  non*POSIX-compliant systems
  * The cupsFile functions didn't handle read/write errors properly
* Fri Sep 22 2006 - kssingvo@suse.de
- CUPS 1.2.4 fixes a number of web interface, scheduler, and CUPS API issues.
  Changes include:
- The --with-printcap configure option did not work
- The character set reported by cupsLangGet() did not always reflect
  the default character set of a given locale
- Older Lexmark and Tektronix printers did not work with IPP
- Failsafe printing did not work
- Some web interface redirects did not work
- The web interface change settings button could introduce a "Port 0"
  line in cupsd.conf if there was no loopback connection available
- The web interface change settings and edit configuration file
  buttons would truncate the cupsd.conf file
- The German web interface used the wrong printer icon images
- The "All Documents" link in the on-line help was missing a trailing
  slash
- The Polish web interface translation used the wrong URLs for the job
  history
- The "reprint job" button did not work
- The scheduler did not always report printer or job events properly
- The scheduler always stopped the queue on error, regardless of the
  exit code, if the error policy was set to "stop-printer"
- ppdEmitJCL() included UTF-8 characters in the JCL job name, which
  caused problems on some printers
- Fixed a buffering problem that cause high CPU usage
- The command-line applications did not convert command-line strings
  to UTF-8 as needed
- cupsDirRead() incorrectly aborted when reading a symbolic link that
  pointed to a file/directory that did not exist
- The cupsInterpretRasterPPD() function did not handle custom page
  sizes properly.
* Thu Sep 14 2006 - kssingvo@suse.de
- Upgrade to 1.2.3:
  * The scheduler did not send job-state or job-config-changed events
  when a job was held, released, or changed
  * The scheduler now aborts if the configuration file and directory
  checks fail
  * Fixed a problem with ippPort() not using the port number that was
  set via the client.conf file or CUPS_SERVER environment variable
  * HTTP headers were not buffered
  * Some IPP printers (HP) did not like UTF-8 job names
  * The CUPS desktop icon is now localized for Polish
  * Printer options were not always honored when printing
  * The openssl command would lock up the scheduler when generating
  an encryption certificate on some platforms due to a lack of
  entropy for the random number generator
  * The web admin page did not recognize that "Listen 631" enabled
  remote access
  * The web admin page did not check whether changes were made to the
  Basic Server Settings check boxes
  * The IPP backend could generate N*N copies in certain edge cases.
  * The scheduler did not restore remote printers properly when
  BrowseShortNames was enabled
  * Polling did not handle changes to the network environment on Mac
  OS X
  * The "make test" subscription tests used invalid
  notify-recipient-uri values
  * Printers could be left in an undefined state on system sleep
  * The Berkeley and System V commands did not always use the
  expected character set
  * Remote printing fixes
  * The cupstestppd utility did not validate translation strings for
  custom options properly.
  * Multi-language PPD files were not properly localized in the web
  interface
  * The admin page's simple settings options did not check for local
  domain socket or IPv6 addresses and did not use "localhost" as
  the listen address.
  * An empty BrowseProtocols, BrowseLocalProtocols, or
  BrowseRemoteProtocols line would crash the scheduler instead of
  disabling the corresponding browsing options.
  * The scheduler now logs IPP operation status as debug messages
  instead of info or error.
  * cupsFileRewind() didn't clear the end-of-file state.
  * cupstestppd didn't report the actual misspelling of the
  1284DeviceID attribute
  * BrowseRelay didn't work on Debian
  * configure --without-languages didn't work
  * Manually added remote printers did not work
  * The <cups/backend.h> header was not installed.
  * Updated the build files for Autoconf 2.60
  * The scheduler incorrectly terminated the polling processes after
  receiving a partial log line.
  * The cups-lpd mini-daemon reported "No printer-state attribute
  found" errors when reporting the queue status
  * SNMP backend improvements
  * The scheduler erroneously reported an error with the CGI pipe
  * Fixed HP-UX compile problems
  * cupstestppd crashed with some PPD files
  * The <cups/dir.h> and <cups/file.h> header files did not work with
  C++.
* Tue Jul 25 2006 - kssingvo@suse.de
- upgrade to version 1.2.2, which fixes several build, platform, notification, and printing bugs. Changes include:
  * Documentation updates
  * CUPS didn't know about alternate character set names for Asian text
  * The lpoptions -o and -r options did not work unless you specified a printer.
  * The lpoptions command incorrectly allowed users to set printer attributes like printer-type
  * httpWait() did not flush the write buffer, causing "bad request" errors when communicating with CUPS 1.1.x servers
  * Polling did not sanitize the printer description, location, or make and model strings like broadcasts did.
  * Polled printers did not show the server's default job-sheets option value.
  * The Samba password prompt was not properly localized
  * Added a German translation
  * The scheduler now creates self-signed SSL certficates automatically when using OpenSSL and CDSA for encryption, just as for GNU TLS.
  * The SNMP backend sporatically reported some printers as "unknown"
  * The scheduler now forces BrowseTimeout to be at least twice the BrowseInterval value and non-zero to avoid common configuration errors.
  * The scheduler incorrectly returned printer URIs of the form "ipp://server/printers/classname" for classes
  * Updated Japanese localization
  * The scheduler's SSL certificate/key directory was not created on installation
  * Added a mailto.conf man page and help page
  * The parallel and USB backends no longer wait for the printer to go on-line - this caused problems with certain printers that don't follow with the IEEE-1284 standard
  * The scheduler could crash on a reload when implicit classes were present
  * The IPP backend incorrectly used the CUPS_ENCRYPTION environment variable to determine the default encryption mode when printing
  * USB printing did not work on Solaris
  * The scheduler sorted job priorities in the wrong order
  * The scheduler did not automatically restart notifiers that exited or crashed
  * IPv6 support did not work on NetBSD
  * The EPM packaging file did not work
  * The scheduler used up the CPU if BrowseRemoteProtocols was empty
  * Custom page sizes did not work
  * The SNMP backend could crash on some systems when SNMP logging was enabled
  * Browsing could produce some funny printer names when ServerName was set to an IP address
  * Fixed the log message for BrowseRelay
  * Fixes to allow CUPS to compile on MirBSD
  * The scheduler incorrectly set the FINAL_CONTENT_TYPE environment variable
  * The pdftops filter incorrectly embedded a "produced by" comment, causing PDF printing not to work on some operating systems
  * Sending raw jobs from a client system could cause the client's scheduler to eventually crash
  * The scheduler now checks that the notifier exists prior to accepting a new subscription request.
  * The scheduler now reports the supported notify-recipient schemes based on the contents of the ServerBin/notifier directory.
  * Event notifications did not include the notify-sequence-number or other required attributes
  * Allow/Deny addresses of the form "11.22.33.*" did not work on Linux
  * cupsGetPPD() did not work if the scheduler was only listening on a domain socket
  * The scheduler could crash advertising a class
  * The scheduler could crash if the default printer was deleted
  * Added a new default CUPS raster format (v3) which does not compress the raster stream in order to provide the same cupsRasterReadPixels() and cupsRasterWritePixels() performance as CUPS 1.1.x.
  * The cupsaddsmb man page listed the wrong files for the CUPS driver.
  * Some configure --with options did not work
  * "Allow @IF(name)" didn't work if "name" wasn't the first network interface
  * The lpstat command did not use the correct character set when reporting the date and time
  * The cupsaddsmb command and web interface did not update the Windows PPD files properly, resulting in corrupt PPD files for the Windows client to use
  * The cupsd.conf man page didn't describe the Listen domain socket syntax
  * The scheduler no longer tries to support more than FD_SETSIZE file descriptors.
  * CDSA (encryption) support fixes for MacOS X.
  * The lppasswd program needs to be setuid to root to create and update the /etc/cups/passwd.md5 file
  * 32/64-bit library installation was broken
  * The USB backend now reports a "no such device" error when using the old filename-based USB URIs instead of the "success" error.
  * Increased the HTTP and IPP read timeouts to 10 seconds, as 1 second was too short on congested networks
  * The SNMP backend now uses the device description over the printer-make-and-model attribute when the attribute contains a generic name
  * Fixed another file descriptor leak when printing raw files
  * Raw queues were not shared via LDAP
  * The pstops filter didn't always embed PageSetup commands from the PPD file
  * "make install" didn't work if you disabled all of the localizations.
  * The scheduler didn't always choose the least costly filter.
  * Fixed parsing of IPv6 addresses in Allow, Deny, BrowseAllow, BrowseDeny, and BrowseRelay directives
  * Printers that were shared via LDAP did not get added to the LDAP server properly
  * LDAP browsing would crash the scheduler if a required value was missing
  * Special cases for the "localhost" hostname did not work, causing printing to not work when the /etc/hosts file did not contain a localhost entry
  * Updated the Spanish translation
  * Reverse-order page output was broken when N-up or landscape orientations were used
  * The parallel, serial, socket, and USB backends needed print data before they would report back-channel data, causing problems with several new drivers
- fixed randomly crash when testing many PPD files (bugzilla#193354)
* Thu Jul 13 2006 - kssingvo@suse.de
- moved 3.0 from BETA to STABLE
* Thu Jun 29 2006 - nadvornik@suse.cz
- do not use deprecated libpng function png_read_destroy
* Wed Jun 28 2006 - kssingvo@suse.de
- reinjected lost --datadir into configure
* Thu Jun 22 2006 - kssingvo@suse.de
- upgrade to version 1.2.1: a major release after long (>1y) development
  with new functions, many enhancements, bugfixes and new bugs
* Mon May 22 2006 - kssingvo@suse.de
- removed Required-Start: in rccupsrenice; real fix for (bugzilla#172708)
* Mon May 22 2006 - lmuelle@suse.de
- Only activate cupsrenice on initial install; [#172708].
* Tue Apr 25 2006 - kssingvo@suse.de
- fixed pswrite.patch (bugzilla#169068)
* Tue Apr 11 2006 - kssingvo@suse.de
- fixed the usb naming for special HP printers (bugzilla#163833)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 - lmuelle@suse.de
- Move cups-config to the libs sub package.  Then we do not bother anyone as
  cups-libs is required by cups-devel and cups; [#142004].
* Fri Jan 13 2006 - meissner@suse.de
- Use -fstack-protector.
* Wed Jan 11 2006 - kssingvo@suse.de
- moved cups-config into main package (bugzilla#142004)
* Tue Jan 10 2006 - kssingvo@suse.de
- fixed %%files for /etc/cups/printcap (bugzilla#140308)
- fixed various xpdf security issues (bugzilla#137156)
  CVE-2005-3624, CVE-2005-3625, CVE-2005-3626, CVE-2005-3627,
  CVE-2005-3628, CVE-2005-3193
* Tue Dec 06 2005 - kssingvo@suse.de
- fixed xpdf overflow CVE-2005-3193 (bugzilla#137156)
* Wed Nov 23 2005 - kssingvo@suse.de
- fixed the info of last printer in printcap file (bugzilla#132152)
* Wed Nov 23 2005 - kssingvo@suse.de
- added global lpoptions file (bugzilla#118982)
- fixed $ppid test in rccupsrenice (bugzilla#119822)
- fixed short description in rccupsrenice (bugzilla#121873)
- changed filtering of mozilla-ps (bugzilla#130623)
* Mon Sep 12 2005 - kssingvo@suse.de
- fixed segfault in cupstestppd (bugzilla#116468)
* Thu Sep 08 2005 - kssingvo@suse.de
- fixed rccupsrenice: can handle mutliple pids in $ppid now (bugzilla#115863)
- fixed rccupsrenice: link points to correct script
* Mon Sep 05 2005 - kssingvo@suse.de
- fixed rccupsrenice: requires changed to cupsd (bugzilla#115261)
* Fri Sep 02 2005 - kssingvo@suse.de
- fixed length of stftime array in lpstat (bugzilla#105732)
* Thu Sep 01 2005 - kssingvo@suse.de
- rccupsrenice checks if cupsd is running before processing (bugzilla#114650)
* Tue Aug 23 2005 - kssingvo@suse.de
- coolo wants a speedup of system boot:
  rccups: cupsd gets now a lower ionice value if booting in level 5
  and rccupsrenice (new introduced) brings those io values back,
  later when system is up and running
* Tue Jul 26 2005 - kssingvo@suse.de
- removed backends pipe and novell; now in cups-backends
* Mon Jul 11 2005 - kssingvo@suse.de
- further changes for PIE
- renamed latest patches to my naming schema
* Thu Jun 30 2005 - uli@suse.de
- build with -fPI[CE] (not -fpi[ce]) to avoid GOT overflows in
  certain packages (e.g. scribus) on s390*
* Mon Jun 20 2005 - ro@suse.de
- build as PIE
* Wed Jun 15 2005 - mfabian@suse.de
- Bugzilla #41006 "Charset detection in CUPS":
  add missing includes and fix charset and language detection.
* Mon Jun 13 2005 - kssingvo@suse.de
- removed permissions file from package (bugzilla#66305)
- changed permission of xinetd.d file
- fixed SUSE version in testpage (bugzilla#78075)
* Thu Apr 07 2005 - kssingvo@suse.de
- gcc4.0 compilation fixes (thx to mls)
* Thu Mar 10 2005 - kssingvo@suse.de
- fixed problem in lppasswd file generation (bugzilla#64370)
- fixed problem in library with authorization
- cupstestppd checks now PageSize more properly
* Tue Mar 01 2005 - kssingvo@suse.de
- fixed lpstat segfault issue (bugzilla#66328)
* Mon Feb 21 2005 - kssingvo@suse.de
- added "hplip" to rccups (bugzilla#65378)
* Tue Feb 15 2005 - kssingvo@suse.de
- introduced norootforbuild
* Fri Jan 21 2005 - kssingvo@suse.de
- update to version 1.1.23 and adaption of patches
- added xpdf buffer overflow fix; CAN-2005-0064 (bugzilla#49840)
* Sat Jan 15 2005 - schwab@suse.de
- Use <owner>:<group> in permissions file.
* Sun Dec 19 2004 - kssingvo@suse.de
- added additional xpdf buffer overflow patches (missing in this
  version)
* Wed Dec 15 2004 - kssingvo@suse.de
- updated novell backend (bugzilla#41773)
- updated pipe backend (bugzilla#33659)
* Wed Nov 17 2004 - kssingvo@suse.de
- updated to cups-1.1.22
- adapted spec file, patches, etc.
* Mon Nov 08 2004 - kukuk@suse.de
- Include common-* PAM config files in cups configuration
* Fri Sep 24 2004 - kssingvo@suse.de
- added creation of group ntadmin in %%pre (bugzilla#45719)
* Mon Sep 20 2004 - kssingvo@suse.de
- cupstestppd fails on some doubtful Sharp PPDs (bugzilla#45648)
- removed ed from neededforbuild list
* Wed Sep 15 2004 - kssingvo@suse.de
- fix for umlaut names when download of queue ppds (bugzilla#44975)
* Tue Sep 14 2004 - kssingvo@suse.de
- cups-1.1.21 is now released
- cupsomatic removed (will be replaced by foomatic-rip/foomatic-filters)
- more useable messages in preauth patch
* Thu Sep 02 2004 - kssingvo@suse.de
- ignores now short living childs in ppds.dat generation case
* Wed Sep 01 2004 - kssingvo@suse.de
- fixed security problem in cupsomatic, CAN-2004-0801 (bugzilla#44233)
* Tue Aug 31 2004 - kssingvo@suse.de
- first try for cups-1.1.21rc2
- renumbered patches
- adapted old SuSE patches to this version
- removed /var/adm/notify -- ancient and no longer needed
* Thu Aug 12 2004 - kssingvo@suse.de
- added test for /.buildenv to make users happy (bugzilla#43503) :-)
* Wed Apr 21 2004 - kssingvo@suse.de
- removed needless "rm -rf $RPM_BUILD_ROOT" in %%install
- added -fno-strict-aliasing compile option (*sic*)
- added missing mime handling of pswrite (bugzilla#33862)
* Tue Apr 13 2004 - kssingvo@suse.de
- removed x-devel-packages from neededforbuild
* Tue Apr 06 2004 - kssingvo@suse.de
- fixed segfault in library (bugzilla#38381) - tested and works fine
* Mon Mar 22 2004 - kssingvo@suse.de
- fixed image links in web interface (bugzilla#36403)
- fixed cupstestppd (bugzilla#36688)
* Wed Mar 17 2004 - kssingvo@suse.de
- cupstestppd failed if PPD file has default for non-existance names (STR#476)
- patch for CPU excess if CGI is sending faster than client receiving (STR#595)
- faster scan of ppd files (bugzilla#33222)
- patch for broken HTTP authentication cache (STR#517)
- redirect administration tasks to primary server (STR#491)
* Wed Mar 17 2004 - kssingvo@suse.de
- added pswrite filter script to produce PostScript1 output
- beautified filter ogonki "mktemp -q /tmp/dvitops.XXXXXX" -> ogonki.XXXXXX
- removed cups-1.1.19-no_dvi.patch, fixed cups-mime.patch instead
- added PS1 and PS2 PPD files (bugzilla#34938)
* Tue Mar 16 2004 - kssingvo@suse.de
- backport of signed char usage for weird platforms (STR#518)
- cups-lpd mini-daemon rejects jobs if queue behing is rejecting (STR#515)
- fix for too fast CGI data delivery (STR#484)
* Mon Mar 08 2004 - kssingvo@suse.de
- backport of fixes in CVS repository for scheduler and library,
  with many fixes, like crash on remote reject, close client on
  errors, propper http flushing, etc. -- first print tests work fine.
* Mon Mar 08 2004 - kssingvo@suse.de
- many backports of fixes in CVS repository
- upgrade of pdftops to version 2.03
* Mon Feb 23 2004 - kssingvo@suse.de
- memory overwrite fixed in rastertoepson
- fixed md5sum revealing problem (bugzilla#32862)
- fixed naming of some usb printers
* Wed Feb 11 2004 - kssingvo@suse.de
- activated incidentally removed usermode patch (bugzilla#34438)
- added "printbill" to rccups
* Fri Jan 16 2004 - kukuk@suse.de
- Add pam-devel to neededforbuild
* Wed Nov 26 2003 - kssingvo@suse.de
- fixed permission of directory interfaces (bugzilla#33337)
- added new option "-p" to generate ppds.dat only and exit (bugzilla#33222)
- added openslp support
- upgraded to 1.1.20 (final)
* Wed Oct 01 2003 - kssingvo@suse.de
- changed LC_MESSAGES -> LC_CTYPE (= fixed bugzilla#26006)
* Thu Sep 25 2003 - kssingvo@suse.de
- update to 1.1.20rc2
* Wed Sep 17 2003 - kssingvo@suse.de
- authentication method for /admin changed (bugzilla#31158)
* Mon Sep 15 2003 - kssingvo@suse.de
- fixed PPDs defaults: Letter -> A4 (bugzilla#30662)
* Thu Sep 11 2003 - kukuk@suse.de
- Set sticky bit for /var/spool/cups/tmp
* Thu Sep 11 2003 - kssingvo@suse.de
- changed rcfile, as suggested in bugzilla#28444
* Tue Sep 09 2003 - kssingvo@suse.de
- fixed typo in configuration for preauth security patch
* Mon Sep 08 2003 - kssingvo@suse.de
- fix for the SLP browsing patch (missing/wrong initialize of variables)
* Wed Sep 03 2003 - kssingvo@suse.de
- fix for boolean options in filters (CUPS STR#249)
- fix for check of written bytes in 4 backends (CUPS STR#253)
- fix for segfault when browsing and SLP is set on (CUPS STR#259)
- fix for restart problem of processed jobs (CUPS STR#226)
- fix for LPD port number in URI (CUPS STR#249)
- fix for Landscape PDF offset rotation position (CUPS STR#243)
- generated /etc/cups/printcap and link /etc/printcap due to UserMode
  (bugzilla#29671)
* Tue Sep 02 2003 - kssingvo@suse.de
- fixed %%_libdir problem in xinetd.d/cups-lpd (bugzilla#29877)
* Mon Sep 01 2003 - kssingvo@suse.de
- last fix of bugzilla#29418 didn't work in reality. on specfile again.
- "-y" for fillup_and_insserv
* Mon Sep 01 2003 - kssingvo@suse.de
- DOCDIR removed to fix bugzilla#29418
- specfile: daemon has now security patches -> start it on boot per default
- specfile: restart of daemon on package update
* Fri Aug 29 2003 - kukuk@suse.de
- Set explicit correct permissions of /etc/cups contents, else
  cups will do it.
* Tue Aug 26 2003 - kssingvo@suse.de
- changed attributes for files (bugzilla#28736)
* Mon Aug 25 2003 - kssingvo@suse.de
- fix for locale destroying (bugzilla#29218)
* Mon Aug 25 2003 - kssingvo@suse.de
- made restrictrions in cupsd.conf to take preauthorization effect
* Thu Aug 21 2003 - kssingvo@suse.de
- cupsd runs now as lp:lp (as suggested in bugzilla#28444)
* Thu Aug 21 2003 - kssingvo@suse.de
- added preauthorization patch from okir - seems to work - thx
* Thu Aug 21 2003 - kssingvo@suse.de
- fixed USB backend to report manufacturer and model, if description
  string is missing (cups STR#174)
- fixed problem with some embedded Type1C fonts (cups STR#177)
- fixed problem when reading files and using the POSIX locale (cups STR#159)
* Wed Aug 20 2003 - kssingvo@suse.de
- added official patch for cupstestppd problem (bugzilla#27950)
- fixed problem with "keepalive on" (bugzilla#28154)
- fixed encode options to honor "yes" and "on" as values too
* Mon Aug 18 2003 - kssingvo@suse.de
- fixed metadata in sysconfig file (bugzilla#28861)
* Wed Aug 13 2003 - kssingvo@suse.de
- fixed cupstestppd (bugzilla#27950)
* Thu Jul 31 2003 - coolo@suse.de
- don't strip explicitly, but let the brp scripts handle it
* Tue Jul 29 2003 - kssingvo@suse.de
- fixed ogonkify (bugzilla#28307)
* Thu Jul 10 2003 - kssingvo@suse.de
- fixed 64bit problem in printers.cgi (bugzilla#24786)
- removed dvi printing support due to missing packages (bugzilla#27032)
* Fri Jul 04 2003 - kssingvo@suse.de
- splitted out foomatic-filters package, which is cups independed
  (except Coolo's faulty checking)
* Mon Jun 23 2003 - kssingvo@suse.de
- fixed mandir problem under non-i386 architecture
* Mon Jun 23 2003 - lmuelle@suse.de
- remove smb backand from file list and init script; it's now part of the
  samba-client package
* Tue Jun 17 2003 - kssingvo@suse.de
- added ptal to Should-Start in rccups (bugzilla#27159)
* Thu Jun 12 2003 - kukuk@suse.de
- Add missing directories to filelist
* Mon Jun 02 2003 - kssingvo@suse.de
- 1.1.19 is released -> updated
* Fri May 30 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Tue Apr 29 2003 - kssingvo@suse.de
- updated to 1.1.19rc3
- removed unnecessary patches
- removed README.SuSE (bugzilla#26479)
* Wed Apr 09 2003 - kssingvo@suse.de
- added patch for cgi-interface: hostname is now mapped to localhost
- updated PrintAnalyzer script
* Wed Mar 12 2003 - kssingvo@suse.de
- fixed "endless attempts to print" problem (bugzilla#25152)
* Wed Mar 12 2003 - kssingvo@suse.de
- installs now correct pam file (bugzilla#23277)
* Mon Mar 10 2003 - kssingvo@suse.de
- fixed location of foomatic-rip filters -> /usr/bin
- added link for foomatic-rip
- updated foomatic-rip (to latest, fixed version)
* Thu Mar 06 2003 - kssingvo@suse.de
- fixed typo for manpage installation of foomatic-rip
- fixed file list of cups and cups-client (foomatic-rip is part of cups
  and therefore the corresponding package should contain the manpage too)
* Mon Mar 03 2003 - kssingvo@suse.de
- updated cupsomatic to linuxprinting.org (hopefully fixed accounting problem)
* Thu Feb 27 2003 - kssingvo@suse.de
- fix for add printer with KDE util (from CVS head)
* Wed Feb 26 2003 - kssingvo@suse.de
- fixed again filelist :)
- fixed documenation path (buzgzilla#24083)
- fixed PPD file parsing (from CVS head)
- tested daemon
* Wed Feb 26 2003 - ro@suse.de
- fix filelist (file listed twice)
* Wed Feb 26 2003 - kssingvo@suse.de
- updated foomatic-gswrapper
- added new foomatic-rip: filter, config file and manpage
* Mon Feb 24 2003 - kssingvo@suse.de
- updated backends novell and pipe
- renamed sysconfig metadata:  sysconfig.cups -> cups.sysconfig
- renamed permissions file:    permissions.cups -> cups.permissions
- fixed problem in lpoptions (no more loops! :)
* Thu Feb 20 2003 - mmj@suse.de
- Add sysconfig metadata [#22629]
* Fri Feb 07 2003 - kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Tue Jan 28 2003 - kssingvo@suse.de
- fixed "Error message when starting cups daemon" problem (bugzilla#22472)
- removed unnecessary DocumentRoot setting cupsd.conf
* Tue Jan 28 2003 - kssingvo@suse.de
- changed replacement of distribution in testprint.ps
- rccups: moved hotplug from required start to should-start (bugzilla#23054)
- added /usr/bin/cupstestppd (bugzilla#23143)
- created xinetd.d file for cups-lpd
* Thu Jan 23 2003 - kssingvo@suse.de
- added usb patch (for epson printers)
- added herrno patch in IPP protocol
* Fri Jan 17 2003 - kssingvo@suse.de
- added two backends (pipe + novell), written by jsrain@suse.cz
- welcome back foomatic filter (makes more sense to have it here)
* Fri Dec 20 2002 - kssingvo@suse.de
- updated to 1.1.18, adapted testpage.diff for new version
* Mon Dec 16 2002 - kssingvo@suse.de
- fixed test for link problem in rccups
* Tue Dec 10 2002 - kssingvo@suse.de
- removed foomatic filter. with next suse release will be in pkg cups-drivers
* Wed Dec 04 2002 - kssingvo@suse.de
- updated to version 1.1.17, removed lib64 patch (now already in source tree)
* Thu Nov 07 2002 - kssingvo@suse.de
- updated %%files for all cups subpackages.
  (Now new cups files are included too :-)
* Thu Nov 07 2002 - kssingvo@suse.de
- removed debuging option in spec file.
* Thu Nov 07 2002 - kssingvo@suse.de
- updated to version 1.1.16, removed or adapted SuSE patches
* Tue Sep 10 2002 - ro@suse.de
- added prereq for groupadd (#19300)
* Thu Sep 05 2002 - ro@suse.de
- fix postinstall
* Thu Sep 05 2002 - kssingvo@suse.de
- changed %%post: removed "insserv" to make yast2 and security happy
* Mon Sep 02 2002 - kssingvo@suse.de
- changed cupsd.conf for 127.0.0.2 access (bugzilla#18764)
* Mon Sep 02 2002 - kssingvo@suse.de
- added directory /usr/share/cups/drivers for cupsaddsmb/samba
* Tue Aug 27 2002 - kssingvo@suse.de
- fixed foomatic and foomatic-gswrapper (bugzilla#18425)
* Wed Aug 21 2002 - kssingvo@suse.de
- gave %%files sections a %%deffattr and gave special files and dirs
  a required %%attr permissions of lp.sys (bugzilla#18126)
* Tue Aug 20 2002 - uli@suse.de
- fixed hardcoded path CUPS_SERVERBIN (fixes ghostscript on lib64
  archs)
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Mon Aug 12 2002 - kssingvo@suse.de
- cups-devel now requires exact matching version of cups-libs
- added /var/log/cups to cups-libs (bugzilla#17617)
* Sat Jul 27 2002 - adrian@suse.de
- add %%run_ldconfig
* Mon Jul 22 2002 - kssingvo@suse.de
- fix for author patch: crashed on reload signal (tested for stability)
* Fri Jul 19 2002 - kssingvo@suse.de
- using now fillup to generate sysconfig file
- replaced delayed exit patch by CUPS authors one
* Thu Jul 18 2002 - kssingvo@suse.de
- again rccups: rc.config only parsed, if present (for backward compatibility)
* Thu Jul 18 2002 - kssingvo@suse.de
- updated rccups to satisfy new SuSE requirements
- added delayed exit of cupsd patch (for processing many PPD files)
* Wed Jul 10 2002 - kssingvo@suse.de
- adapted the pam file for SuSE (according to Thorstens proposal)
* Tue Jul 09 2002 - kssingvo@suse.de
- upgraded to version 1.1.15 and adapted all the old patches
- moved %%{_sysconfdir}/cups to libs (as suggested by jsmeix)
* Tue Jul 02 2002 - kssingvo@suse.de
- added symbolic link /usr/bin/lpc (bugzilla #16652)
- changed umask in rccups (bugzilla #16567)
* Thu Jun 13 2002 - draht@suse.de
- Running cupsd if no printer is configured makes no sense.
  Do not activate cupsd after installation in %%post.
* Tue Jun 04 2002 - kssingvo@suse.de
- fixed g++/cups-config problems in other cups subpackages
* Tue Jun 04 2002 - kssingvo@suse.de
- added 'cups-config' to devel
* Wed May 08 2002 - kssingvo@suse.de
- fixed linker problem (rpath) under x86_64
- therefore old x86_64 fix is no longer necessary: removed.
* Mon Apr 22 2002 - kssingvo@suse.de
- added %%ifarch x86_64 to avoid linking problems in specfile.
* Thu Apr 18 2002 - kssingvo@suse.de
- updated to 1.1.14
- removed unnecessary patches
- adapted testpage.ps patch to new file
- fixed permission problem with lppasswd
- fixed %%files section (now includes all %%dirs too)
* Wed Apr 10 2002 - ro@suse.de
- don't call autoreconf, we can't use autoheader and automake here
* Tue Feb 26 2002 - kssingvo@suse.de
- fixed too restrictive IPP security fix
- fixed documentation path (#13889)
* Mon Feb 25 2002 - kssingvo@suse.de
- reorganized online documentation. old structure might confuse people (#13849)
* Wed Feb 20 2002 - kssingvo@suse.de
- completed the IPP security fix again (hopefully the last time)
* Mon Feb 18 2002 - kssingvo@suse.de
- completed the IPP security fix
* Tue Feb 12 2002 - kssingvo@suse.de
- updated perl scripts cupsomatic, and foomatic-gswrapper
* Tue Feb 12 2002 - kssingvo@suse.de
- made patch cups-cs-utf8.dif again. got build problems with last version.
* Mon Feb 11 2002 - kssingvo@suse.de
- Added iso-8859-2 patch for czech utf-8 locale.
  Thanks to Petr Blahos <pblahos@suse.cz>.
* Mon Feb 11 2002 - kssingvo@suse.de
- added IPP security fix
* Fri Feb 01 2002 - draht@suse.de
- log tcp-wrappers based connection refusals to cups' own logfiles
  instead of syslog.
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Jan 29 2002 - draht@suse.de
- added support for tcp-wrappers (cups-1.1.12-libwrap-addition.dif)
  token for /etc/hosts.{allow,deny} is "cupsd".
* Mon Jan 21 2002 - schwab@suse.de
- Fix gcc version check.
* Tue Jan 08 2002 - pblahos@suse.cz
- cups-client does not provide print_daemon anymore. print_daemon
  is required by aps but cups-client does not satisfy aps
  regarding this.
- START_CUPS variable removed
- up to 1.1.12
* Sun Nov 11 2001 - bjacke@suse.de
- fixes specfile
* Sat Nov 10 2001 - bjacke@suse.de
- add standard postscript PPD
- set DefaultPage{Size,Region} to A4 in ppd files
- now reqiures ghostscript_any
- add /etc/permissions.d/cups-client (#4094)
- personalize test page
- move old font directory if existing and send mail
- up to 1.1.11
* Mon Oct 22 2001 - ro@suse.de
- remove ghostscript-fonts-std from neededforbuild, this is only
  a runtime requirement
* Tue Sep 04 2001 - bjacke@suse.de
- work around cups' broken tmp file handling (#10142)
* Sun Sep 02 2001 - bjacke@suse.de
- move client.conf to libs package
- activate cat8 man pages
- add README.SuSE
- update lphelp
* Thu Aug 30 2001 - bjacke@suse.de
- split into cups-client and cups(-server) package
- add %%ghosty smb printer backend support
- re-add ogonky for non-latin1 charsets (#9864)
- add printanalyzer script in doc
* Mon Aug 27 2001 - utuerk@suse.de
- removed cups.conf (now provided by susehelp)
* Mon Aug 27 2001 - kukuk@suse.de
- Remove -j parameter from spec file
* Sat Aug 25 2001 - bjacke@suse.de
- update to 1.1.10-1 (many fixes)
- fix output for dvi's (bug #9862)
- new poll_ppd_base
* Sun Aug 19 2001 - bjacke@suse.de
- split out cups-libs from cups
- add ssl directory
- make correct links for cups libraries
* Thu Aug 16 2001 - bjacke@suse.de
- use ghostscript fonts which are the same as the cups fonts and adjust
  dependecy for ghostscript-fonts-std
* Sun Aug 12 2001 - bjacke@suse.de
- enable SSL
* Fri Aug 10 2001 - bjacke@suse.de
- correct init script
* Fri Jul 20 2001 - max@suse.de
- new version 1.1.9 .
- updated init script to new skeleton (Bug #8981).
* Mon Jun 18 2001 - max@suse.de
- added support for PS files created by Netscape.
* Sun Apr 15 2001 - schwab@suse.de
- Fix missing declarations.
* Thu Apr 12 2001 - max@suse.de
- moved foomatic-gswrapper and cupsomatic
  from cups-drivers to cups
* Thu Apr 12 2001 - max@suse.de
- patched cupsd to use /dev/urandom instead of /dev/random.
  This fixes bug #6703
* Wed Apr 11 2001 - max@suse.de
- spec file overhaul
- using RPM_BUILD_ROOT now
- removed /etc/printcap from file list
- removed dependency to cups-drivers
* Tue Apr 10 2001 - kendy@suse.cz
- Wake up Epson Stylus USB printers before sending the print job.
- Added czech translations (czech.dif).
* Mon Apr 02 2001 - utuerk@suse.de
- added cups.conf for susehelp
* Fri Mar 23 2001 - kendy@suse.cz
- USB printers can be now addressed using URI
  usb:<device_without_number>?vendor=<xxxx>&prod_id=<yyyy>
  where <xxxx> and <yyyy> are USB identification numbers.
  (e.g. usb:/dev/usb/lp?vendor=04a9&prod_id=1052 for Canon BJC-6100)
- fixed pplication/dvi -> application/dvi in conf/mime.convs
* Mon Feb 26 2001 - mhafner@suse.de
- update to 1.1.6-3 (fixing several security issues)
* Tue Jan 30 2001 - mhafner@suse.de
- update to 1.1.6 (fixes possible DoS attack)
* Mon Jan 08 2001 - bjacke@suse.de
- added missing reqiures for cups-drivers
* Fri Dec 22 2000 - mhafner@suse.de
- update to version 1.1.5
* Mon Dec 04 2000 - mhafner@suse.de
- cups configuration changed - Browsing now Off by default
* Thu Nov 30 2000 - mhafner@suse.de
- added DVI filter
* Wed Nov 29 2000 - ro@suse.de
- fixed spec
* Tue Nov 28 2000 - ro@suse.de
- fixed startscript
* Fri Nov 24 2000 - mhafner@suse.de
- added rc.config fillup and SuSEconfig script to automatically
  set browse address if demanded
* Wed Nov 22 2000 - mhafner@suse.de
- split into system and development package
* Fri Oct 06 2000 - mhafner@suse.de
- documentation root changed
* Fri Oct 06 2000 - mhafner@suse.de
- update to version 1.1.4
- small changes in spec file
* Mon Sep 25 2000 - mhafner@suse.de
- make post-script succeed unconditionally
* Tue Sep 19 2000 - mhafner@suse.de
- update to version 1.1.3
* Thu Sep 14 2000 - mhafner@suse.de
- restart daemon if already started
- added two little tools (poll_ppd_base, lphelp)
- added a few compatibility links
* Thu Sep 14 2000 - mhafner@suse.de
- turned automatic generation of printcap on
- turned implicit classes off since they are buggy
* Wed Sep 13 2000 - mhafner@suse.de
- fixed directory structure
- added links to lpd and rclpd
* Fri Sep 01 2000 - adrian@suse.de
- added Conflicts line
* Mon Aug 28 2000 - adrian@suse.de
- initial package
